package com.yeejoin.amos.boot.module.app.api.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.amos.boot.module.app.api.entity.SuperviseInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 特种设备基本信息-监督管理信息 Mapper 接口
 *
 * @author Zhang Yingbin
 * @date 2022-07-19
 */
public interface SuperviseInfoMapper extends BaseMapper<SuperviseInfo> {

	void updateRecordBatch(@Param("recordList") List<String> recordList);

	List<Map<String,Object>> selectUnitCodeList(@Param("records") List<String> records);
	List<String> selectSuperviseCodeList(@Param("records") List<String> records);

	void deleteDataAll(@Param("records") List<String> records);
}
